*{
box-sizing:border-box;
}

body{
margin:0;
font-family:Arial, Helvetica, sans-serif;
}


.navbar{
    position:absolute;
    top:80px; 
    left:50%;
    transform:translateX(-50%);
    width:80%;
    background:white;
    border-radius:10px;
    box-shadow:0 5px 20px rgba(0,0,0,0.1);
    display:flex;
    align-items:center;
    padding:20px 35px;
    z-index:1000;
    justify-content:space-between;
}

.nav-links{
display:flex;
list-style:none;
gap:30px;
margin:0;
padding:0;
}

.nav-links a{
text-decoration:none;
color:#010671;
font-size:20px;
transition:0.3s;
}

.nav-links a:hover{
transform:translateY(4px);
color:#f2b632;
}
.logo img{
    height:85px;
}

.open-btn{
display:none;
font-size:26px;
color:white;
cursor:pointer;
}

.close-btn{
display:none;
}


.contact{
margin-left:auto;
list-style:none;
display:flex;
gap:20px;
color:#010671;
font-size:20px;
padding:0;
}

.contact a{
color:#010671;
text-decoration:none;
transition:0.3s;
}

.contact a:hover{
color:#f2b632;
}




.slider{
height:100vh;
overflow:hidden;
position:relative;
}

.slides{
display:flex;
height:100%;
transition:transform 0.5s ease;
}
.slide{
min-width:100%;
height:100%;
position:relative;
}

.slide img{
width:100%;
height:100%;
object-fit:cover;
display:block;
}


.slide h4{
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    color:white;
    text-align:center;
    z-index:5;
    font-size:28px;
    animation:fadeIn 2s ease;
}


.buttons{
    position:absolute;
    top:50%;
    width:100%;
    display:flex;
    justify-content:space-between;
    transform:translateY(-50%);
    z-index:1000;
}

.buttons button{
    background:rgba(0,0,0,0.5);
    color:white;
    border:none;
    padding:15px;
    cursor:pointer;
    font-size:20px;
}


@keyframes fadeIn{
    from{
        opacity:0;
        transform:translate(-50%,-70%);
    }

    to{
        opacity:1;
        transform:translate(-50%,-50%);
    }
}

.slide strong{
    color:#f2b632;
}


.ctn-1{
display: flex;          
  align-items: center;    
  gap: 40px;   
  margin: 4%;  
}
.text-img{
  flex: 1;
 
}
.text-img img{
     max-width: 100%;
  height: auto;
  display: block;
}
.text-1{
    flex: 1.5;
}
.text-1 h2{
    color: rgb(3, 3, 124);
    line-height: 2;
    text-transform: uppercase;
    font-size: 20px;
}
.text-1 p{
line-height: 1.5;
font-size: 17px;
color: gray;
}
.ctn-2{
display: flex;          
  align-items: center;    
  gap: 40px;   
  margin: 4%;  
}
.text-img-2{
  flex: 1;
 
}
.text-img-2 img{
  max-width: 100%;
  height: auto;
  display: block;
}
.text-2{
    flex: 1.5;
}
.text-2 h2{
    color: rgb(3, 3, 124);
    line-height: 2;
    text-transform: uppercase;
    font-size: 20px;
}
.text-2 p{
line-height: 1.5;

font-size: 17px;
color: gray;
}
.icon-text{
    background-image: url("image\ copy\ 3.png");
    background-color: #064579e6;
    background-blend-mode:multiply ;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment:fixed ;
    background-size: cover; 
}
.icon-text{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    gap: 15%;
    width: 100%;
   
}
 .icon i{
    color:#f2b632;
    font-size: 25px;
    padding: 30%;

 
}
.icon h2{
    
    color: #fff;
}
.title h2{
    color:rgb(3, 3, 124);
    font-size: 26px;
    margin: 3%;
}
.title h2 {
    position: relative; 
}

.title h2:after {
    content: "";
    width: 60px;
    height: 3px;
    border-bottom: 2px solid #f2b632; 
    background: #f2b632;
    position: absolute;
    left: 0;
    bottom: -10px;
     border-radius: 5%;
}

.cards{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px;
    margin: 4%;
}
.card {
  background-color: #fff;
  border-radius: 6px;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
  overflow: hidden;
  display: flex;
  flex-direction: column;
  cursor: pointer;
  transition: transform 0.5s;
  border-bottom: 4px solid #f2b632;
    line-height: 1.5;
}
.card img {
  width: 100%;
  height: 230px;
  object-fit: cover;
  display: block;
  
}
.card h3 {
  font-size: 18px;
  margin: 0 0 15px;
  color: #001a66 ;
  padding: 8px;
}

.card p {
  font-size: 15px;
  color: #555;
  margin-bottom: 10px; 
  text-align: center;
   height: 100%;
     padding: 24px 26px 20px;

}
.card:hover{
    transform: scale(1.02);
    box-shadow: 2px 2px 2px #7A7A7A;
}


.card-link a {
  font-size: 14px;
  font-weight: 600;
  text-decoration: none;
  color: #1c2940;
  transition: transform 0.3s;

  padding: 24px 26px 20px;

}
.card-link a:hover{
    transform: translateX(-4px);
    color:#f2b632 ;
}


.banner{
     background-image: url("image\ copy\ 3.png");
    background-color: #064579e6;
    background-blend-mode:multiply ;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment:fixed ;
    background-size: cover; 
    height: 400px;

    display: flex;
    justify-content: center; 
    align-items: center; 
    text-align: center;
}

.banner-content{
    color: white;
    font-size: 18px;
}

.btn{
    background: orange;
    padding: 10px ;
    color: white;
    text-decoration: none;
    border-radius: 5px;

}
.nos-machines{
    margin: 4%;
    color: #001a66;
    font-size: 20px;
}
.nos-machines h2 {
    position: relative; 
}

.nos-machines h2:after {
    content: "";
    width: 60px;
    height: 3px;
    border-bottom: 2px solid #f2b632; 
    background: #f2b632;
    position: absolute;
    left: 0;
    bottom: -10px;
     border-radius: 5%;
}
.nos-machines h3{
    text-align: center;
    font-size: 19px;
    color: #7A7A7A;
}

.nos-machines h4{
    font-size: 18px;
    color: #7A7A7A;
}
.machines{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); 
    gap: 20px;
    margin: 5%;
    
}
.box1{
   border: 1px solid #ccc;
   border-bottom: 4px solid rgb(199, 3, 3);
  padding: 10px;
  text-align: center;
    height: 300px;
    transition: transform 0.5s;
}
.box1:hover{
    transform: scale(1.06);
}
.box1 h4{
   font-size: 18px;
  color: #001a66;        
  margin: 0;;
}
.box1 img{
    max-width: 100%;
  height: 230px;          
  object-fit: contain;   
  display: block;
  margin: 0 auto 10px;
}
.nos-machines{
    margin: 4%;
    color: #001a66;
    font-size: 20px;
}
.nos-machines h2 {
    position: relative; 
}

.nos-machines h2:after {
    content: "";
    width: 60px;
    height: 3px;
    border-bottom: 2px solid #f2b632; 
    background: #f2b632;
    position: absolute;
    left: 0;
    bottom: -10px;
     border-radius: 5%;
}
.nos-machines h3{
    text-align: center;
    font-size: 19px;
    color: #7A7A7A;
}



.Produits{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax( 400px, 1fr)); 
    gap: 20px;
    margin: 5%;
    
}
.box2{
    border: 1px solid #ccc;
    padding: 10px;
    text-align: center;
    height: 300px;
    transition: transform 0.5s;
}
.box2:hover{
    transform: scale(1.06);
}
.box2 h4{
   font-size: 18px;
  color: #001a66;        
  margin: 0;;
  color: #ccc;
}
.box2 h4:hover{
    color: #7A7A7A;
   
}
.box2 img{
  max-width: 100%;
  height: 230px;          
  object-fit: contain;   
  display: block;
  margin: 0 auto 10px;
}
.nos-pieces{
    margin: 4%;
    color: #001a66;
    font-size: 20px;
}
.nos-pieces h2 {
    position: relative; 
}

.nos-pieces h2:after {
    content: "";
    width: 60px;
    height: 3px;
    border-bottom: 2px solid #f2b632; 
    background: #f2b632;
    position: absolute;
    left: 0;
    bottom: -10px;
     border-radius: 5%;
}
.nos-pieces h3{
    text-align: center;
    font-size: 19px;
    color: #7A7A7A;
}

.nos-pieces h4{
    font-size: 18px;
    color: #7A7A7A;
}
button{
    border: none;
    border-radius:5px ;
    background-color: #FFC23D;
    color:#7A7A7A;
     padding: 8px;
    transition: transform 0.3s;
   
}
button:hover{
    transform: translateX(6px);
    background-color: #010671;

}
button a {
    color: #fff;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 15px;
}
footer{
  background:#041e58;
  padding:40px ;
  color:#fff;
}
.footer-container{
  width:min(1200px, 92%);
  margin:0 auto;

  display:flex;
  justify-content:space-between;
  align-items:flex-start;
  gap:80px;
}

.logo-footer img{
  margin:0;
  height: 120px;
  font-weight:700;
  line-height:1;
}
.foot-links h3{
  font-size:22px;
  font-weight:500;
  color: #FFC23D;
  position: relative;
}

.foot-links ul{
  list-style:none;
  padding:0;
  margin:0;
  display:flex;
  flex-direction:column;
  gap:14px;
}

.foot-links a{
  color:#fff;
  text-decoration:none;
  opacity:0.9;
  transition: transform 0.3s;
  cursor: pointer;
}

.foot-links a:hover{
  opacity:1;
  transform: translateY(-4px);
  color: #FFC23D;
 
}

.services h3{
  font-size:22px;
  font-weight:500;
  color: #FFC23D;
  position: relative;
}

.services ul{
  list-style:none;
  padding:0;
  margin:0;
  display:flex;
  flex-direction:column;
  gap:14px;
}

.services a{
  color:#fff;
  text-decoration:none;
  opacity:0.9;
  transition: transform 0.3s;
  cursor: pointer;
}

.services a:hover{
  opacity:1;
  transform: translateY(-4px);
  color: #FFC23D;
}
.services strong{
    font-size: 15px;
}
.coordonnées h3{
  font-size:22px;
  font-weight:500;
  color: #FFC23D;
  position: relative;
}

.coordonnées ul{
  list-style:none;
  padding:0;
  margin:0;
  display:flex;
  flex-direction:column;
  gap:14px;
}
.coordonnées a{
  color:#fff;
  text-decoration:none;
  opacity:0.9;
  transition: transform 0.3s;
  cursor: pointer;
}

.coordonnées a:hover{
  opacity:1;
  transform: translateY(-4px);
  color: #FFC23D;
}
.coordonnées strong{
    font-size: 15px;
}




@media (max-width:768px){


.navbar{
flex-direction:row;
justify-content:space-between;
width: 100%;
top: 0;
}


.open-btn{
display:block;
}


.nav-links{
position:fixed;
top:0;
left:0;
width:0;
height:100vh;
background:#001a66;
flex-direction:column;
align-items:center;
justify-content:center;
overflow:hidden;
transition:0.4s;
z-index:2000;
}


.nav-links.active{
width:100%;
}


.close-btn{
display:block;
position:absolute;
top:25px;
right:25px;
font-size:28px;
color:white;
cursor:pointer;
}

.nav-links li{
margin:15px 0;
}

.nav-links a{
font-size:22px;
color: #fff;
}

.slide h4{
font-size:20px;
width:80%;
}


.ctn-1,
.ctn-2{
flex-direction:column;
text-align:center;
gap:25px;
}


.text-1{order:1;}
.text-img{order:2;}

.text-2{order:1;}
.text-img-2{order:2;}

.text-img img,
.text-img-2 img{
width:100%;
height:auto;
}


.text-1 h2,
.text-2 h2{
font-size:18px;
}

.text-1 p,
.text-2 p{
font-size:16px;
line-height:1.6;
}


.icon-text{
flex-direction:column;
gap:30px;
text-align:center;
}

.cards{
grid-template-columns:1fr;
margin:20px;
}


.machines{
grid-template-columns:1fr;
margin:20px;
}

.box1{
height:auto;
}


.Produits{
grid-template-columns:1fr;
margin:20px;
}

.box2{
height:auto;
}


.voir-plus{
display:block;
margin:auto;
width:150px;
}

.ctn-3 h1{
font-size:22px;
margin:40px 20px;
}

.footer-container{
flex-direction:column;
gap:40px;

}

}


